
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 盘点商品列表
 *
 * @author lhd
 * @date 2022-06-22 16:57:27
 */
public class TakeStockSpu extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 盘点商品id
     */
    private Long takeStockSpuId;

    /**
     * 盘点id
     */
    private Long takeStockId;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * sku_id
     */
    private Long skuId;

    /**
     * 账面库存
     */
    private Integer stocks;

    /**
     * 实盘库存
     */
    private Integer totalStock;

    /**
     * 盈亏类型 0盘平 1盘盈 2盘亏 -1异常
     */
    private Integer ioType;

    /**
     * 备注
     */
    private String remark;

    /**
     * 异常原因 1.删除商品 2.盘点期间有库存变动 3.其他
     */
    private Integer exceptionReason;

    public Long getTakeStockSpuId() {
        return takeStockSpuId;
    }

    public void setTakeStockSpuId(Long takeStockSpuId) {
        this.takeStockSpuId = takeStockSpuId;
    }

    public Long getTakeStockId() {
        return takeStockId;
    }

    public void setTakeStockId(Long takeStockId) {
        this.takeStockId = takeStockId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Integer getStocks() {
        return stocks;
    }

    public void setStocks(Integer stocks) {
        this.stocks = stocks;
    }

    public Integer getTotalStock() {
        return totalStock;
    }

    public void setTotalStock(Integer totalStock) {
        this.totalStock = totalStock;
    }

    public Integer getIoType() {
        return ioType;
    }

    public void setIoType(Integer ioType) {
        this.ioType = ioType;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getExceptionReason() {
        return exceptionReason;
    }

    public void setExceptionReason(Integer exceptionReason) {
        this.exceptionReason = exceptionReason;
    }

    @Override
    public String toString() {
        return "TakeStockSpu{" +
                "takeStockSpuId=" + takeStockSpuId +
                ",takeStockId=" + takeStockId +
                ",spuId=" + spuId +
                ",skuId=" + skuId +
                ",stocks=" + stocks +
                ",totalStock=" + totalStock +
                ",ioType=" + ioType +
                ",remark=" + remark +
                ",exceptionReason=" + exceptionReason +
                '}';
    }
}
